Skip to content

Create Form Instance

Create a new form instance from a form object schema. Requires READ or ADMIN permissions.

Parameters

name * are required parametersdata typedescription
schemaId*stringThe object schema ID to create an instance from
body.dataobjectInitial form field data
body.ownerIdsstring[]User IDs to set as owners of the form instance
body.assigneeIdsByStateobjectMap of workflow states to assignee user IDs

Return Value

json
{
  "statusCode": 201,
  "message": "Form instance created",
  "data": { "...formInstance..." }
}

Error Codes

  • 400 Bad Request: Returned when the schema does not exist or parameters are invalid.
  • 401 Unauthorized: Returned when permissions are insufficient.

Examples

bash
curl -X POST "https://app.wombat.software/api/{targetPath}/form/:schemaId/create" \
  -H "Content-Type: application/json" \
  -H "Authentication: Bearer ..." \
  -d '{"data": {"fieldName": "value"}, "ownerIds": ["uid123"]}'

ENDPOINTS

post/api/{targetPath}/form/:schemaId/create